SRU cloud-init (19.2.36): Xenial, Bionic, and Disco

Bug #1844334 reported by Chad Smith on 2019-09-17
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cloud-init (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

== Begin SRU Template ==
[Impact]
This release sports both bug-fixes and new features and we would like to
make sure all of our supported customers have access to these
improvements. The notable ones are:

    - net: add is_master check for filtering device list
    - Brightbox: restrict detection to require full domain match
      .brightbox.com [Scott Moser]
    - VMWware: add option into VMTools config to enable/disable custom script.
      [Xiaofeng Wang]
    - net,Oracle: Add support for netfailover detection

See the changelog entry below for a full list of changes and bugs.

[Test Case]
The following development and SRU process was followed:
https://wiki.ubuntu.com/CloudinitUpdates

The cloud-init team will be in charge of attaching the artifacts and
console output of the appropriate run to the bug. cloud-init team
members will not mark ‘verification-done’ until this has happened.

* Automated Test Results
DONE: attach automated cloud-init-proposed test artifacts for lxd (nocloud-lxd-sru-19.2.36.txt)

DONE: attach automated cloud-init-proposed test artifacts from tests for each release with kvm artifacts (nocloud-kvm-sru-19.2.36.txt)

DONE: attach Solutions Testing team test results for each LTS
(xenial_maas_install.log bionic_mass_install.log)

DONE: MAAS Team test results for each LTS: Verification from MAAS team in comment #12

* Manual Test Results
DONE: attach manual cloud-init-proposed test artifacts from tests for each release on ec2 datasource (ec2-sru-19.2.36.txt)

DONE: attach manual cloud-init-proposed test artifacts from tests for each release on gce datasource (gce-sru-19.2.36.txt)

DONE: attach manual cloud-init-proposed test artifacts from tests for each release on azure datasource (azure-sru-19.2.36.txt)

Additionally we performed both Oracle and Softlayer validation for this release

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned integration tests are attached to this bug.

[Discussion]

== End SRU Template ==

== Changelog ==
    - net: add is_master check for filtering device list
    - docs: more complete list of availability [Joshua Powers]
    - docs: start FAQ page [Joshua Powers]
    - docs: cleanup output & order of datasource page [Joshua Powers]
    - Brightbox: restrict detection to require full domain match
      .brightbox.com [Scott Moser]
    - VMWware: add option into VMTools config to enable/disable custom script.
      [Xiaofeng Wang]
    - net,Oracle: Add support for netfailover detection
    - atomic_helper: add DEBUG logging to write_file
    - doc: document doc, create makefile and tox target [Joshua Powers]
    - .gitignore: ignore files produced by package builds
    - docs: fix whitespace, spelling, and line length [Joshua Powers]
    - docs: remove unnecessary file in doc directory [Joshua Powers]

Hello Chad, or anyone else affected,

Accepted cloud-init into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/19.2-36-g059d049c-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed verification-needed-xenial
Changed in cloud-init (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Robie Basak (racb) wrote :

Hello Chad, or anyone else affected,

Accepted cloud-init into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/19.2-36-g059d049c-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Disco):
status: New → Fix Committed
tags: added: verification-needed-disco
Robie Basak (racb) wrote :

Hello Chad, or anyone else affected,

Accepted cloud-init into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/19.2-36-g059d049c-0ubuntu1~19.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu):
status: New → Fix Committed
Chad Smith (chad.smith) on 2019-09-18
description: updated
summary: - SRU cloud-init (19.2.24): Xenial, Bionic, and Disco
+ SRU cloud-init (19.2.36): Xenial, Bionic, and Disco
Chad Smith (chad.smith) wrote :

Attach file nocloud-kvm-sru-19.2.36.txt.

Chad Smith (chad.smith) wrote :

Attach file nocloud-lxd-sru-19.2.36.txt.

Chad Smith (chad.smith) wrote :

Attach file ec2-sru-19.2.36.txt.

Chad Smith (chad.smith) wrote :

Attach file azure-sru-19.2.36.txt.

Chad Smith (chad.smith) wrote :
description: updated
Chad Smith (chad.smith) wrote :
John George (jog) wrote :

Solutions QA MAAS Xenial install log.

John George (jog) wrote :

Solutions QA MAAS Bionic install log.

Lee Trager (ltrager) wrote :

We're currently working on fixing the MAAS CI. In the meantime I was able to manually test Xenial, Bionic, and Disco with proposed. All were able to commission and deploy.

Joshua Powers (powersj) on 2019-09-30
description: updated
tags: added: verification-done verification-done-bionic verification-done-disco verification-done-xenial
removed: verification-needed verification-needed-bionic verification-needed-disco verification-needed-xenial
Joshua Powers (powersj) wrote :

Marking bug verification-done-bionic verification-done-disco verification-done-xenial verification-done based on the comment from Lee around MAAS support.

Changed in cloud-init (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 19.2-36-g059d049c-0ubuntu1~19.04.1

---------------
cloud-init (19.2-36-g059d049c-0ubuntu1~19.04.1) disco; urgency=medium

  * New upstream snapshot. (LP: #1844334)
    - net: add is_master check for filtering device list
    - docs: more complete list of availability [Joshua Powers]
    - docs: start FAQ page [Joshua Powers]
    - docs: cleanup output & order of datasource page [Joshua Powers]
    - Brightbox: restrict detection to require full domain match
      .brightbox.com [Scott Moser]
    - VMWware: add option into VMTools config to enable/disable custom script.
      [Xiaofeng Wang]
    - net,Oracle: Add support for netfailover detection
    - atomic_helper: add DEBUG logging to write_file
    - doc: document doc, create makefile and tox target [Joshua Powers]
    - .gitignore: ignore files produced by package builds
    - docs: fix whitespace, spelling, and line length [Joshua Powers]
    - docs: remove unnecessary file in doc directory [Joshua Powers]

 -- Chad Smith <email address hidden> Tue, 17 Sep 2019 08:03:17 -0600

Changed in cloud-init (Ubuntu Disco):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for cloud-init has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 19.2-36-g059d049c-0ubuntu1~18.04.1

---------------
cloud-init (19.2-36-g059d049c-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream snapshot. (LP: #1844334)
    - net: add is_master check for filtering device list
    - docs: more complete list of availability [Joshua Powers]
    - docs: start FAQ page [Joshua Powers]
    - docs: cleanup output & order of datasource page [Joshua Powers]
    - Brightbox: restrict detection to require full domain match
      .brightbox.com [Scott Moser]
    - VMWware: add option into VMTools config to enable/disable custom script.
      [Xiaofeng Wang]
    - net,Oracle: Add support for netfailover detection
    - atomic_helper: add DEBUG logging to write_file
    - doc: document doc, create makefile and tox target [Joshua Powers]
    - .gitignore: ignore files produced by package builds
    - docs: fix whitespace, spelling, and line length [Joshua Powers]
    - docs: remove unnecessary file in doc directory [Joshua Powers]

 -- Chad Smith <email address hidden> Tue, 17 Sep 2019 08:17:04 -0600

Changed in cloud-init (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 19.2-36-g059d049c-0ubuntu1~16.04.1

---------------
cloud-init (19.2-36-g059d049c-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1844334)
    - net: add is_master check for filtering device list
    - docs: more complete list of availability [Joshua Powers]
    - docs: start FAQ page [Joshua Powers]
    - docs: cleanup output & order of datasource page [Joshua Powers]
    - Brightbox: restrict detection to require full domain match
      .brightbox.com [Scott Moser]
    - VMWware: add option into VMTools config to enable/disable custom script.
      [Xiaofeng Wang]
    - net,Oracle: Add support for netfailover detection
    - atomic_helper: add DEBUG logging to write_file
    - doc: document doc, create makefile and tox target [Joshua Powers]
    - .gitignore: ignore files produced by package builds
    - docs: fix whitespace, spelling, and line length [Joshua Powers]
    - docs: remove unnecessary file in doc directory [Joshua Powers]

 -- Chad Smith <email address hidden> Tue, 17 Sep 2019 08:18:06 -0600

Changed in cloud-init (Ubuntu Xenial):
status: Fix Committed → Fix Released
David Coronel (davecore) wrote :

We're seeing a new issue with cloud-init 19.2.36 failing with python exception "Not all expected physical devices present ..." during bionic image deployment from MAAS. The issue seems to happen when bonds are used. Tagged this SRU with regression-update.

See https://bugs.launchpad.net/cloud-init/+bug/1846535 for bug details

tags: added: regression-update
Robie Basak (racb) wrote :

It should be the other bug tagged with regression-update, not this one. I'll make the change.

tags: removed: regression-update
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers